/**
 * @package     Joomla.Site
 * @subpackage  Templates.protostar
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @since       3.2
 */

(function($)
{
	$(document).ready(function()
	{
		

		// Start Mainmenu
		$('#mainmenu li').hover(function(){
			$(this).children('ul').stop(true,true).fadeIn();
		});

		$('#mainmenu li').mouseleave(function(){
			$(this).children('ul').stop(true,true).fadeOut();
		});

		// Start carousel
		if($('#carousel div.k2ItemsBlock').length>0){
				
				$('#carousel div.k2ItemsBlock ul').owlCarousel({
				    rtl:true,
				    loop:true,
				    margin:2,
				    nav:true,
				    autoplaySpeed: 1000,
				    items: 4,
				    autoplay:true,
				    responsive:{
				        0:{
				            items:1
				        },
				        400:{
				            items:2
				        },
				        660:{
				            items:3
				        },
				        800:{
				            items:2
				        },
				        1000:{
				            items:3
				        }				        ,
				        1200:{
				            items:4
				        }
				    }
				})
					
			}


			// Start MMenu
			$('#menus').mmenu({
		        offCanvas: {
		           position  : "right"
		        }
		     });


	})
})(jQuery);